New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Can't install mbed-drivers, error in file lib.py #1528

Closed
AmiK2001 opened this Issue Mar 25, 2018 · 2 comments

Comments

Projects
None yet
3 participants
@AmiK2001

AmiK2001 commented Mar 25, 2018

Configuration

Operating system: Ubuntu 16.04

PlatformIO Version: version 3.5.2

Description of problem

I can't install mbed-drivers by Bogdan Marinescu.

platformio lib install mbed-drivers output:
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/platformio/managers/lib.py", line 390, in install
force=force)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/platformio/managers/lib.py", line 390, in install
force=force)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/platformio/managers/lib.py", line 390, in install
force=force)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/platformio/managers/lib.py", line 390, in install
force=force)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/platformio/managers/lib.py", line 390, in install
force=force)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/platformio/managers/lib.py", line 354, in install
force=force)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/platformio/managers/package.py", line 639, in install
package_dir = self.get_package_dir(name, requirements, url)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/platformio/managers/package.py", line 342, in get_package_dir
manifest = self.get_package(name, requirements, url)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/platformio/managers/package.py", line 327, in get_package
requirements, raise_exception=True).match(
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/platformio/managers/package.py", line 203, in parse_semver_spec
return semantic_version.Spec(value)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/semantic_version/base.py", line 505, in init
subspecs = [self.parse(spec) for spec in specs_strings]
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/semantic_version/base.py", line 511, in parse
return tuple(SpecItem(spec_text) for spec_text in spec_texts)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/semantic_version/base.py", line 511, in
return tuple(SpecItem(spec_text) for spec_text in spec_texts)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/semantic_version/base.py", line 425, in init
kind, spec = self.parse(requirement_string)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/semantic_version/base.py", line 446, in parse
spec = Version(version, partial=True)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/semantic_version/base.py", line 77, in init
major, minor, patch, prerelease, build = self.parse(version_string, partial)
File "/home/amir/.platformio/penv/local/lib/python2.7/site-packages/semantic_version/base.py", line 209, in parse
if _has_leading_zero(major):
RuntimeError: maximum recursion depth exceeded

============================================================

@silvergasp

This comment has been minimized.

silvergasp commented Apr 13, 2018

I can reproduce this

@silvergasp

This comment has been minimized.

silvergasp commented Apr 13, 2018

#919 Seems to involve the same problem

@ivankravets ivankravets added this to the 3.5.3 milestone Apr 25, 2018

@ivankravets ivankravets added the bug label Apr 25, 2018

ivankravets added a commit that referenced this issue Apr 25, 2018

ivankravets added a commit that referenced this issue Jun 1, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment